﻿using Rhino;
using Rhino.Commands;
using Rhino.UI;

namespace CSProjectTemplate
{
    public class CSProjectTemplateCommand : Command
    {
        public CSProjectTemplateCommand()
        {
            Instance = this;
            Panels.RegisterPanel(PlugIn, typeof(MainPanel), "Main Panel", null);
        }   

        public static CSProjectTemplateCommand Instance
        {
            get; private set;
        }

        public override string EnglishName
        {
            get { return "CSProjectTemplateCommand"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            Panels.OpenPanel(typeof(MainPanel).GUID);
            return Result.Success;
        }
    }
}
