﻿using Eto.Forms;
using System.Runtime.InteropServices;

namespace CSProjectTemplate
{
    [Guid("fc6c1169-4b00-4acf-ab86-78cfa8c108bd")]
    public class MainPanel : Panel
    {
        private readonly PanelViewModel _view;

        public MainPanel(uint documentRuntimeSerialNumber)
        {
            _view = new PanelViewModel(documentRuntimeSerialNumber);
            DataContext = _view;

            this.Bind(c => c.Content, _view, m => m.Content);

            _view.SetPanel(0);
        }

    }
}